Subject: [manet] DYMO Review and WGLC

From: Joe Macker <[email-masked]>
Date: Tue, 16 Mar 2010 22:33:10 -0400

MANET WG and DYMO Authors:

Here are some of my review comments and discusses on DYMO id-18.  

I would like to issue a working group last call prior to writing up a submission request and I believe most of my comments can be handled during that process.

----------------------------------
Comments Mar 16 on dymo version 18…Macker

===========================
Section 1., Para. 2:

DISCUSS type nit:
Terminology of using single target's DYMO router.

Q: Can multiple dymo routers not support a connected, non-mobile IP prefix-based LAN 
if yes, the target's DYMO router may change with topology.

===========================
Section 2., Para. 1: 

DYMO is best suited for sparse traffic scenarios where routers forward packets to with only a small portion

s/to with/to/

===========================
Section 5.1.1. Maintaining A Node’s Own Sequence Number

s/to maintain/maintains/
s/to incrementing/to increment/ (or rewrite sentence)

===========================
Section 5.3.1. RREQ Creation

..,if they have existing better routing information already.

Editorial: A little redundant. already and existing.

===========================
Section 5.3.1. RREQ Creation

Unicast vs. Multicast RREQ

Comment: Better scenario motivation and issues. Different wireless link types,etc?

===========================
Section 5.3.1-2: General

READABILITY: The sequencing and marking rules lots of options/cases. It would be nice to present this in set of conditional state tables or something similar if possible. Following all this in narrative is a bit taxing.

===========================
Section 5.3.2: General

s/also/also be/

===========================
Section 5.4.: Route Discovery

When a source’s DYMO router needs to forward a data packet on behalf of an attached node and it does not have a forwarding route to the data packet’s unicast IP destination address, ThisNode sends a RREQ (described in Section 5.3.1) to discover a route to the particular destination (TargetNode).

Question: If a source DYMO router has a longest prefix match that is not a source route how and when will it try to discover a more specific route.

===========================
Section 5.4.: Route Maintenance

In addition to inability to forward a data packet, a RERR SHOULD be issued immediately after detecting a broken link of an forwarding route to quickly notify DYMO routers that a link break occurred and that certain routes are no longer available. If the route with the broken link has not been used recently (indicated by ROUTE_USED), the RERR SHOULD NOT be generated.

s/an forwarding route/a forwarding route/

Comment: It seems that this could be dangerous if not filtered further or explained better for an implementor.  Broken_link .neq transmission_error_event to next hop.  I think following sections discuss this, but it should be clear to an implementor this is not a single packet transmission failure event but "a broken link as defined in section foo".

===========================
Section 5.4.: Route Maintenance

DISCUSS: Alot of MAYs used in RM processing and handling options. I would like to feel a little more comfortable this is not a problem in deployment of different implementations,etc.

===========================
Section 5.4.: Simple Internet Attachment

DISCUSS: Like the example picture, but dont understand the proxying. The IDR has to know interior address prefixes and respond to all others.

===========================
Section 6.:

DISCUSS: Why not make the Suggested Parameter Values into Defaults.. Again if these are set widely different by different DYMO routers its not clear how well things can work.

===========================
General Comments:

Reconsider places in the document where it is stated that "settings SHOULD be administratively configurable or intelligently controlled." While true it may lead to poor default implementations.

reference to RFC 2740 has been obseleted by RFC 5340: Assume this needs to be updated.

Security Considerations has alot of coulds..Limited analysis of replay attacks strategies,etc.